get
https://api.connex.trade/api/v1/trading/rapidxLoan/loan/statement
Query borrow and repayment settlement transaction history. Returns data from the last 90 days at most.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: READ.
Rate Limit
- 20 requests per second
Request
| Field name | Type | Necessary | Remarks |
|---|---|---|---|
| coin | String | N | Filter by currency. If omitted, returns all. |
| type | String | N | Transaction type: borrow, repay, interest, or liquidation_fee. If omitted, returns all. |
| startTime | int64 | N | Start timestamp in milliseconds. Defaults to 7 days ago. |
| endTime | int64 | N | End timestamp in milliseconds. Defaults to current time. |
| page | integer | N | Page number, starting from 1. Defaults to 1. |
| pageSize | integer | N | Page size. Defaults to 1000. Maximum 1000. |
Response
| Field name | Type | Remarks |
|---|---|---|
| statementId | String | Transaction flow ID. |
| exchange | String | Exchange name, e.g., BINANCE, OKX. |
| type | String | Transaction type: loan_borrow, loan_repay, loan_interest, or loan_liquidation_fee. |
| coin | String | Currency. |
| delta | String | Change in available balance (positive for borrow; negative for repay, interest, or liquidation fee). |
| balance | String | Available balance after the transaction. |
| timestamp | int64 | Transaction timestamp in milliseconds. |
